.is-style-bordered-button .wp-block-button__link {
	background-color: transparent;
	border: 1px solid var(--wp--preset--color--four);
	color: var(--wp--preset--color--three);
	min-width: 270px;
	display: flex;
	align-items: center;
	justify-content: center;
}

.is-style-bordered-button .wp-block-button__link::after {
	content: "";
	background-image: url(../images/button-arrow-black.svg);
	background-repeat: no-repeat;
	display: block;
	width: 22px;
    height: 12px;
    position: relative;
    top: 2px;
    margin-left: 8px;
}

.is-style-bordered-button .wp-block-button__link:hover,
.is-style-bordered-button .wp-block-button__link:focus {
	background-color: var(--wp--preset--color--three);
	border: 1px solid var(--wp--preset--color--three);
	color: var(--wp--preset--color--one);
}

.is-style-bordered-button .wp-block-button__link:hover::after,
.is-style-bordered-button .wp-block-button__link:focus::after {
	background-image: url(../images/button-arrow-white.svg);
	background-repeat: no-repeat;
}

/*
On black background */

.is-style-bordered-button-on-black .wp-block-button__link {
	background-color: transparent;
	border: 1px solid var(--wp--preset--color--four);
	color: var(--wp--preset--color--one);
	min-width: 270px;
	display: flex;
	align-items: center;
	justify-content: center;
}

.is-style-bordered-button-on-black .wp-block-button__link::after {
	content: "";
	background-image: url(../images/button-arrow-white.svg);
	background-repeat: no-repeat;
	display: block;
	width: 22px;
    height: 12px;
    position: relative;
    top: 2px;
    margin-left: 8px;
}

.is-style-bordered-button-on-black .wp-block-button__link:hover,
.is-style-bordered-button-on-black .wp-block-button__link:focus {
	background-color: var(--wp--preset--color--one);
	border: 1px solid var(--wp--preset--color--one);
	color: var(--wp--preset--color--three);
}

.is-style-bordered-button-on-black .wp-block-button__link:hover::after,
.is-style-bordered-button-on-black .wp-block-button__link:focus::after {
	background-image: url(../images/button-arrow-black.svg);
	background-repeat: no-repeat;
}

.is-style-text-link .wp-block-button__link {
	background: url(../images/button-arrow-black.svg) no-repeat right 10px;
	border: none;
	border-radius: 0;
	color: var(--wp--preset--color--three);
	font-size: var(--wp--preset--font-size--paragraph-1);
	font-family: var(--wp--preset--font-family--two);
	font-size: 15px;
	font-weight: 500;
	padding: 5px 35px 1px 0;
	min-width: auto;
}

.is-style-text-link .wp-block-button__link:hover {
	text-decoration: underline;
}